Name:		qubes-core-admin-client
Version:    4.1.0
Release:	1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	python2-setuptools
BuildRequires:	python2-devel
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz

%description
This package include managemt tools, like qvm-*.

%package -n python2-qubesadmin
Summary:    Python2 module qubesadmin
Requires:   python-daemon
Requires:   python-docutils
Requires:   python2-lxml

%description -n python2-qubesadmin
Python2 module qubesadmin.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
%if 0%{?rhel} >= 7
Requires:   python-daemon
%else
Requires:   python3-daemon
%endif
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Conflicts:  qubes-manager < 4.0.6

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python2}
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-gui.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python2-qubesadmin
%{python2_sitelib}/qubesadmin-*egg-info
%{python2_sitelib}/qubesadmin

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin


%changelog
* Wed Oct 09 2019 Qubes OS Team <qubes-devel@groups.google.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1d3a214
- version 4.1.0

* Sat Oct 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2d736f5
- Make pylint happy

* Thu Sep 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e8c48ff
- tools/qvm-start-gui: avoid starting a VM just to send it monitor layout

* Thu Sep 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 98260ff
- Add run_service(..., autostart=False) argument

* Sat Sep 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1fcb031
- Add support for run_service(..., filter_esc=True) in a VM

* Sat Sep 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d7dcdd3
- rpm: fix release number

* Sat Sep 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 22bc5d8
- Merge remote-tracking branch 'origin/pr/105'

* Sat Sep 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 556cec4
- Merge remote-tracking branch 'origin/pr/104'

* Sat Sep 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1f1564d
- backup/restore: make pylint happy

* Tue Sep 17 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 3e2b432
- Fixed error with VM being incorrectly listed as its own dependency

* Tue Sep 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 48ad832
- tests: check rejecting/accepting compression filters

* Tue Sep 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 14f7786
- backup/restore: add option to use uncommon compression filter anyway

* Tue Sep 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 10f15e6
- backup/restore: reject uncommon compression filters and improve header validation

* Fri Sep 06 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3ddeb20
- dochelpers: make PEP8 happier

* Fri Sep 06 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6df676c
- dochelpers: handle legacy sphinx library

* Fri Sep 06 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - ab8f487
- Fix Sphinx 2 new API for Fedora 31+

* Fri Sep 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9158412
- Merge remote-tracking branch 'origin/pr/100'

* Fri Sep 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 165497d
- Merge remote-tracking branch 'origin/pr/102'

* Wed Sep 04 2019 hexagonrecursion <52621858+hexagonrecursion@users.noreply.github.com> - 51d9d69
- Fix a pref name in the qvm-prefs man page

* Fri Aug 30 2019 hexagonrecursion <52621858+hexagonrecursion@users.noreply.github.com> - 2c4cb44
- Correct network-manager qubes service default

* Fri Aug 30 2019 hexagonrecursion <52621858+hexagonrecursion@users.noreply.github.com> - cef300b
- Clarify the network-manager qubes service default

* Sat Aug 24 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d96db42
- qvm-device: add manpage entry

* Sat Aug 24 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 8639034
- qvm-device: prevent parser allowing abbreviations

* Sat Aug 24 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 41c6fbe
- qvm-device: handle 'list-device-classes' and 'list-classes'

* Sat Aug 10 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3dce4e9
- qubesadmin: define methods list_vmclass and list_devicesclass

* Sat Aug 10 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a982e1e
- qubesadmin: make PEP8 happy

* Thu Aug 08 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 769f8a5
- Merge remote-tracking branch 'origin/pr/98'

* Thu Aug 08 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - eb461e4
- qvm-check: fix from Marek's comment

* Thu Aug 08 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7d93377
- qvm-check: refactor check mechanism and add filter for checking netvm

* Thu Aug 08 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 489efce
- Merge remote-tracking branch 'origin/pr/99'

* Wed Aug 07 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 08d746e
- devices: add missing docstring for _get_device_classes

* Wed Aug 07 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 268d11f
- devices: make iteration device classes compatible with Python2

* Tue Aug 06 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 174f155
- tools/qvm-device: make PEP8 happy

* Tue Aug 06 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4d05454
- tests/devices: add test for handling listing device classes

* Tue Aug 06 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 07ca511
- tests/devices: make PEP8 happy

* Tue Aug 06 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f633dd9
- devices: handle listing of available device classes

* Tue Aug 06 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 1052217
- devices: make PEP8 happy

* Tue Jul 30 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6f78465
- version 4.0.26

* Mon Jul 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e700af9
- tools/qvm-volume: add 'import' action

* Mon Jul 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fdc632c
- tools: reset private volume when importing template over existing one

* Mon Jul 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 21569b3
- tests: fix events tests on python3.7

* Mon Jul 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 291382c
- travis: drop python 3.4, add python 3.6 and 3.7

* Tue Jun 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b8ddb39
- Allow app.domains[vm] where vm is a QubesVM object

* Fri Jun 14 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7bca004
- Merge remote-tracking branch 'origin/pr/95'

* Fri Jun 14 2019 unman <unman@thirdeyesecurity.org> - 6f8ee53
- Remove unnecessary comma in qvm-backup.rst

* Thu May 30 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 19e286e
- travis: switch to xenial, update distributions

* Wed May 29 2019 Malte Leip <malte@leip.net> - 32538fa
- qvm-prefs: add --hide-default option

* Wed Apr 17 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c1be4cd
- Merge remote-tracking branch 'qubesos/pr/92'

* Tue Apr 16 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 37e4e4c
- tests: update yaml syntax in qvm-backup tests

* Tue Apr 16 2019 Conor Schaefer <conor@freedom.press> - 40eeddb
- Adds docs for clone ignore_errors, feeds linter

